From d4da3d8f05c62cb23bee3b7ae0953f6f13ae30ee Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Mon, 6 Feb 2012 15:30:16 -0600
Subject: Adding javascript

---
 grade/report/quick_edit/classes/lib.php  |   12 ++++++++++++
 grade/report/quick_edit/js/quick_edit.js |    5 +++++
 2 files changed, 17 insertions(+), 0 deletions(-)
 create mode 100644 grade/report/quick_edit/js/quick_edit.js

diff --git a/grade/report/quick_edit/classes/lib.php b/grade/report/quick_edit/classes/lib.php
index fc0777e..36924dc 100644
--- a/grade/report/quick_edit/classes/lib.php
+++ b/grade/report/quick_edit/classes/lib.php
@@ -94,6 +94,18 @@ abstract class quick_edit_screen {
 
     public abstract function html();
 
+    public function js() {
+        global $PAGE;
+
+        $module = array(
+            'name' => 'gradereport_quick_edit',
+            'fullpath' => '/grade/report/quick_edit/js/quick_edit.js',
+            'requires' => array('base', 'dom', 'event', 'io-base');
+        );
+
+        $PAGE->requires->js_init_call('M.gradereport_quick_edit.init', array(), false, $module);
+    }
+
     public function factory() {
         if (empty($this->__factory)) {
             $this->__factory = new quick_edit_grade_ui_factory();
diff --git a/grade/report/quick_edit/js/quick_edit.js b/grade/report/quick_edit/js/quick_edit.js
new file mode 100644
index 0000000..da16cc6
--- /dev/null
+++ b/grade/report/quick_edit/js/quick_edit.js
@@ -0,0 +1,5 @@
+M.gradereport_quick_edit = {};
+
+M.gradereport_quick_edit.init = function(Y) {
+    alert("hey");
+};
-- 
1.7.1


